var dlfcn = require("dlfcna.js");
//console.log(dlfcn)

var funcs = [
    ["changeBgLight", "iii"],
];

//console.log("in factory_bglight.js")
function register() {
    //console.log("will register bglight.so")
    var isSuccess = dlfcn.register("@native.bglight", "./lib/factory/bglight.so", funcs);
    if (isSuccess) {
        //console.log("load so successfully")
        var bglight = require("@native.bglight");
        return bglight
    } else {
        //console.log("load so failed")
    }
    return undefined;
}
var bglight = register();

function changeBgLight(value) {
    //console.log("Change the screen bglight to the highest!")
    // bglight.changeBgLight(2, value)
}

// function pwmInit() {
//     if (globalThis.Simu.En == 1) {
//         return 0
//     }
//     bglight.pwmInit()
// }
// function pwm(val) {
//     //console.log("pwm:" + val)
//     if (globalThis.Simu.En == 1) {
//         return 0
//     }
//     if (val == 0) {
//         bglight.pwmOff()
//     }
//     if (val == 1) {
//         bglight.pwmLv1()
//         bglight.pwmOn()
//     }
//     if (val == 2) {
//         bglight.pwmLv2()
//         bglight.pwmOn()
//     }
//     if (val == 3) {
//         bglight.pwmLv3()
//         bglight.pwmOn()
//     }
//     if (val == 4) {
//         bglight.pwmLv4()
//         bglight.pwmOn()
//     }
//     if (val == 5) {
//         bglight.pwmLv5()
//         bglight.pwmOn()
//     }
//     if (val == 6) {
//         bglight.pwmLv6()
//         bglight.pwmOn()
//     }
// }

module.exports = {
    changeBgLight: changeBgLight,
    // pwmInit: pwmInit,
    // pwm: pwm,

}